{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };
  outputs = { self, nixpkgs, ... }: {
    packages.x86_64-linux = let
      pkgs = import nixpkgs {
        system = "x86_64-linux";
      };
    in {
      rainbowrss = pkgs.rustPlatform.buildRustPackage rec {
        pname = "rainbowrss";
        version = "0.1.0";

        src = ./.;

        nativeBuildInputs = [
          pkgs.pkg-config
        ];

        buildInputs = [
          pkgs.openssl
        ];

        cargoLock.lockFile = ./Cargo.lock;

      };
      default = self.packages.x86_64-linux.rainbowrss;
    };

    hydraJobs = {
      inherit (self)
        packages;
    };
  };
}

